@charset "UTF-8";
/*
Theme Name: Kystdugnaden
Theme URI: kystdugnaden.no
Author: The Pitch // Ida-marie Berntsen
Tested up to: 6.7.1
Requires PHP: 7.3
Version: 1.0.1
License: GNU General Public License v3 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: ollie
Template: ollie
*/
main p a:not(:has(img)) {
  text-decoration: none;
  border-bottom: 1px solid;
  border-color: currentColor;
  transition: border-color 0.3s ease;
}
main p a:not(:has(img)):hover {
  border-color: transparent;
}

.footer-qoute {
  font-family: "meno-display-extra-condensed", serif;
  font-weight: 700;
  font-style: normal;
}

.border {
  border: 1px solid;
}

html.sr .scroll-reveal {
  visibility: hidden;
}

/* Disable tap highlight on iOS */
* {
  -webkit-tap-highlight-color: transparent;
}

.site-container {
  /************************/
  /* Desktop Mega menu OPEN 
  /************************/
  /************************/
  /* DESKTOP Menu + MEGA MENU
  /************************/
  /* Anvend effekten på alle .SMN_effect-46 a, bortsett fra de inne i .no-effect */
  /* Spesifikk stil for lenker i .footer */
  /* Hover-effekt for lenker i .footer */
  /* Pil etter alle eksterne knapper, unntatt de i .header */
  /* Animert hover-effekt */
}
.site-container .no-section-padding {
  margin-block-start: 0 !important;
  margin-block-end: 0 !important;
  padding-top: 0 !important;
  padding-bottom: 0 !important;
}
.site-container .hide {
  display: none !important;
  visibility: hidden !important;
}
@media (max-width: 1093px) {
  .site-container .hide-menu-mobile {
    display: none !important;
    visibility: hidden !important;
  }
}
@media (min-width: 1094px) {
  .site-container .hide-menu-large {
    display: none !important;
    visibility: hidden !important;
  }
}
@media (max-width: 768px) {
  .site-container .hide-mobile {
    display: none !important;
    visibility: hidden !important;
  }
}
@media (min-width: 769px) and (max-width: 1341px) {
  .site-container .hide-medium {
    display: none !important;
    visibility: hidden !important;
  }
}
@media (min-width: 1211px) {
  .site-container .hide-large {
    display: none !important;
    visibility: hidden !important;
  }
}
@media (min-width: 1211px) {
  .site-container .contact-padding-large {
    padding-left: 3rem !important;
    padding-right: 3rem !important;
    padding-bottom: 1rem !important;
  }
}
.site-container .header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100% !important;
  z-index: 2000;
}
.site-container .wp-block-navigation__submenu-container {
  padding: 1.5rem !important;
  z-index: 1000;
  width: 220px;
  margin-top: 23px !important;
}
.site-container .wp-block-navigation__submenu-container li a {
  text-decoration: none !important;
  border-bottom: 1px solid transparent;
  padding: 0.4rem 0;
}
.site-container .wp-block-navigation__submenu-container li a span {
  text-decoration: none !important;
  border-bottom: 2px solid #002984;
}
.site-container .wp-block-navigation__submenu-container li a span:hover {
  text-decoration: none !important;
  border-bottom: 2px solid transparent !important;
}
.site-container .mega-menu-open .gw-mm-item.has-children button.active::after {
  content: url('data:image/svg+xml,<%3Fxml version="1.0" encoding="UTF-8"%3F><svg id="Layer_1" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 118.2 66.6"><defs><style> .cls-1 { fill: %23231f20; stroke-width: 0px; } </style></defs><rect class="cls-1" x="16.4" y="29.2" width="85.4" height="8.2" transform="translate(-6.2 51.5) rotate(-45)"/><rect class="cls-1" x="16.4" y="29.2" width="85.4" height="8.2" transform="translate(40.8 -32) rotate(45)"/></svg>');
}
.site-container .mega-menu-open .wp-block-boldblocks-breadcrumb-block {
  visibility: hidden;
}
.site-container .desktop-menu .wp-block-column {
  border-radius: 0 !important;
}
.site-container .desktop-menu .gw-mm-item__dropdown {
  background: #C7E3FB;
}
@media (max-width: 768px) {
  .site-container .desktop-menu .gw-mm-item__dropdown {
    padding: 0;
  }
}
@media (min-width: 1024px) {
  .site-container .desktop-menu .gw-mm-item__dropdown {
    margin-top: 1.6rem;
  }
}
@media (min-width: 769px) {
  .site-container .desktop-menu .gw-mm-item__dropdown {
    padding-top: 30px;
  }
}
.site-container .desktop-menu .gw-mm-item__dropdown-wrapper {
  background: transparent;
  display: block;
  visibility: hidden;
  transform: translateY(10px);
  opacity: 0;
  transition: opacity 0s ease, visibility 0s ease, transform 0s ease;
  height: auto !important;
}
.site-container .desktop-menu .gw-mm-item__dropdown-wrapper .menu-byra a {
  text-decoration: none;
}
.site-container .desktop-menu .gw-mm-item__dropdown-wrapper .menu-byra a:hover {
  text-decoration: underline;
}
.site-container .desktop-menu .gw-mm-item__dropdown-wrapper .subheader a {
  color: black;
  text-decoration: none;
}
.site-container .desktop-menu .gw-mm-item__dropdown-wrapper .subheader a:hover {
  text-decoration: underline;
}
.site-container .desktop-menu .gw-mm-item__dropdown-wrapper.active {
  visibility: visible;
  opacity: 1;
  transform: translateY(0);
}
.site-container .desktop-menu .gw-mm-item__dropdown-wrapper:not(.active) {
  visibility: hidden; /* Hide the menu when not active */
  opacity: 0;
  transform: translateY(0px); /* Slide up effect */
}
.site-container .desktop-menu .gw-mm-item.has-children .gw-mm-item__link a {
  padding-right: 10px;
  text-decoration: none;
  font-size: 1rem;
}
.site-container .desktop-menu .gw-mm-item.has-children button {
  margin-right: 10px;
  /* Remove default dashicon **/
}
.site-container .desktop-menu .gw-mm-item.has-children button:after {
  content: url('data:image/svg+xml,<%3Fxml version="1.0" encoding="UTF-8"%3F><svg id="Layer_1" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 118.2 66.6"><defs><style> .cls-1 { fill: %23231f20; stroke-width: 0px; } </style></defs><rect class="cls-1" width="92" height="8.9"/><rect class="cls-1" x="26.3" y="28.9" width="92" height="8.9"/><rect class="cls-1" y="57.7" width="92" height="8.9"/></svg>');
  display: inline-block;
  transition: all 0.15s linear;
  line-height: 0;
  width: 2rem;
  height: 2rem;
  vertical-align: text-top;
  padding-top: 0.4rem;
}
.site-container .desktop-menu .gw-mm-item.has-children button span {
  display: none;
}
@media (max-width: 768px) {
  .site-container .gw-mm-item__dropdown-wrapper {
    margin-top: 0 !important;
  }
  .site-container .desktop-menu .gw-mm-item__dropdown {
    padding-top: 0 !important;
  }
}
@media (min-width: 400px) {
  .site-container .site-logo img {
    width: 520px !important;
    height: auto;
    text-align: left !important;
  }
}
@media (min-width: 768px) {
  .site-container .site-logo img {
    width: 520px !important;
    height: auto;
    text-align: left !important;
  }
}
@media (min-width: 1181px) {
  .site-container .site-logo img {
    width: 370px !important;
    height: auto;
    text-align: center;
  }
}
@media (min-width: 2250px) {
  .site-container .site-logo img {
    width: 320px !important;
    height: auto;
    text-align: center;
  }
}
.site-container .SMN_effect-46 a:not(.no-effect) {
  display: inline-block;
  vertical-align: middle;
  transform: perspective(1px) translateZ(0);
  box-shadow: 0 0 1px rgba(0, 0, 0, 0);
  position: relative;
  transition-property: color;
  transition-duration: 0.5s;
  padding-bottom: 0;
  margin-bottom: 0;
  border-bottom: 0 !important;
  text-decoration: none !important;
}
.site-container .SMN_effect-46 a:not(.no-effect):before {
  content: "";
  position: absolute;
  z-index: -1;
  height: 1px;
  left: 0;
  right: 0;
  bottom: 0;
  background: #002984;
  transform: scaleX(0);
  transform-origin: 0 50%;
  transition-property: transform;
  transition-duration: 0.5s;
  transition-timing-function: ease-out;
}
.site-container .SMN_effect-46 a:not(.no-effect):hover:before,
.site-container .SMN_effect-46 a:not(.no-effect):focus:before,
.site-container .SMN_effect-46 a:not(.no-effect):active:before {
  transform: scaleX(1);
  transition-timing-function: cubic-bezier(0.52, 1.64, 0.37, 0.66);
}
.site-container .to-the-top img {
  display: inline-block;
  transition: transform 0.3s ease-in-out;
}
.site-container .to-the-top img:hover {
  animation: bounce 0.6s ease infinite;
}
@keyframes bounce {
  0%, 20%, 50%, 80%, 100% {
    transform: translateY(0);
  }
  40% {
    transform: translateY(-10px);
  }
  60% {
    transform: translateY(-5px);
  }
}
.site-container .blub-bg {
  background-image: url("/wp-content/themes/kystdugnaden/assets/images/blub-1.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: 125%;
  position: relative;
}
@media (min-width: 550px) {
  .site-container .about-page-bg {
    background-image: url("/wp-content/themes/kystdugnaden/assets/images/05-about-page-hero.svg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: 145%;
    position: relative;
  }
}
@media (max-width: 550px) {
  .site-container .hide-about-medium {
    display: none !important;
    visibility: hidden !important;
  }
}
.site-container .left-hero-illustration {
  background-image: url("/wp-content/themes/kystdugnaden/assets/images/02-Wave-left.svg");
  background-position: calc(0% - 5rem) bottom; /* Skyv 20px mot venstre */
  background-repeat: no-repeat;
  background-size: 40%;
  position: relative;
}
.site-container .right-hero-illustration {
  background-image: url("/wp-content/themes/kystdugnaden/assets/images/wave-right-1.svg");
  background-position: calc(100% + 5rem) bottom; /* Skyv 5rem mot høyre */
  background-repeat: no-repeat;
  background-size: 40%;
  position: relative;
}
.site-container .page-illustration {
  background-image: url("/wp-content/themes/kystdugnaden/assets/images/01-waves-undersider.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: 135%;
  position: relative;
}
.site-container .hero-illustration {
  background-image: url("/wp-content/themes/kystdugnaden/assets/images/03-waves.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: 125%;
  position: relative;
}
@media (max-width: 768px) {
  .site-container .hero-illustration {
    background-image: url("/wp-content/themes/kystdugnaden/assets/images/Wave-left.svg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: 150%;
    position: relative;
  }
}
.site-container .member-illustration {
  background-image: url("/wp-content/themes/kystdugnaden/assets/images/03-waves.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: 125%;
  position: relative;
}
@media (max-width: 768px) {
  .site-container .member-illustration-mobile {
    background-image: url("/wp-content/themes/kystdugnaden/assets/images/wave-right-mobile.svg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: 150%;
    position: relative;
  }
}
.site-container .footer a {
  text-decoration: none;
  position: relative;
  display: inline-block;
  color: white; /* Teksten forblir hvit */
}
.site-container .footer a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  height: 1px;
  width: 100%;
  background: linear-gradient(to right, #C7E3FB 50%, transparent 50%); /* Linjen blir blå */
  background-size: 200% 100%;
  background-position: left;
  transition: background-position 0.4s ease;
}
.site-container .footer a:hover::after {
  background-position: right;
}
.site-container .footer-illustration {
  background-image: url("/wp-content/themes/kystdugnaden/assets/images/KG-ikon.svg");
  background-repeat: no-repeat;
  background-size: 40%;
  background-position: left 40px; /* Skyver bildet ned ved å gi 40px fra toppen */
  position: relative;
}
.site-container .gform_button:hover {
  background-color: #0034a8 !important;
}
.site-container #gform_confirmation_message_1 {
  text-align: center !important;
}
.site-container #gform_submit_button_2 {
  border-radius: 50px !important;
  padding: 1rem 1.3rem !important;
  font-size: 1rem !important;
}
.site-container .log-out a:not(:has(img)) {
  text-decoration: none;
  border-bottom: 1px solid;
  border-color: currentColor;
  transition: border-color 0.3s ease;
}
.site-container .log-out a:not(:has(img)):hover {
  border-color: transparent;
}
.site-container .logged-in .wp-block-loginout a {
  background-color: #B7BFFC;
  border-radius: 50px;
  padding: 0.8rem 1.5rem;
  text-decoration: none !important;
}
.site-container .login-submit {
  text-align: center !important;
}
.site-container #wp-submit {
  background-color: #B7BFFC !important;
  border-radius: 50px;
  padding: 0.8rem 1.6rem;
  text-decoration: none !important;
  border: none;
}
.site-container input:not([type=submit]), .site-container select, .site-container textarea, .site-container .wp-block-post-comments-form input:not([type=submit]):not([type=checkbox]), .site-container .wp-block-post-comments-form textarea {
  border-radius: 5px;
}
.site-container #loginform {
  display: block;
  margin: 0 auto;
  width: 100%;
  max-width: 300px;
  box-sizing: border-box;
}
.site-container #user_login, .site-container #user_pass {
  border: 1px solid;
  width: 100%;
}
.site-container video {
  border-radius: 20px !important;
}
.site-container .welcome-msg {
  text-align: center !important;
  font-weight: 700 !important;
  font-size: 2.5rem;
}
.site-container .wp-block-button {
  position: relative;
  display: inline-block;
  overflow: hidden;
}
.site-container .wp-block-button a {
  display: inline-flex; /* Bruk flexbox for å midtstille innholdet */
  align-items: center; /* Midtstiller vertikalt */
  justify-content: center; /* Midtstiller horisontalt */
  text-align: center;
  gap: 0.375rem;
  transition: 0.3s ease;
  padding-left: 1.7rem;
  padding-right: 1.7rem;
  font-size: 1rem !important;
}
.site-container .wp-block-button a:hover {
  text-decoration: none;
}
.site-container .wp-block-button img {
  position: relative;
  transition: transform 0.3s ease;
  height: 1em; /* Sørger for at bildet skaleres til tekstens høyde */
}
.site-container .wp-block-button:hover img {
  transform: translateX(5px); /* Flytter bildet (f.eks. en pil) litt til høyre ved hover */
}
.site-container .wp-block-button a.has-dark-blue-background-color:hover {
  background-color: #0034a8 !important;
}
.site-container .wp-block-button a.has-purple-background-color:hover {
  background-color: #9fa9fb !important;
}
.site-container .wp-block-button a.has-light-blue-background-color:hover {
  background-color: #afd7f9 !important;
}
.site-container .wp-block-button a.has-white-background-color:hover {
  background-color: #FAF5F5 !important;
}
.site-container .wp-block-button a:not(.header a)::after {
  content: "→";
  display: inline-block;
  margin-left: 0.1em;
  font-size: 1.4rem;
  transition: transform 0.2s ease;
}
.site-container .wp-block-button a:not(.header a):hover::after {
  transform: translateX(4px);
}
.site-container .wp-block-button.is-style-outline .wp-block-button__link:hover {
  background-color: #04282D;
  color: white !important;
  border: none;
  outline: 2px solid transparent;
  outline-offset: -3.5px;
}
.site-container .btn-group {
  text-align: center;
}
.site-container .btn,
.site-container button {
  background: #002984;
  color: white;
  border: none;
  font-size: 1.09rem;
  background-color: #002984;
  color: white;
  padding: 0.5rem 1.7rem;
  border: 2px solid #002984;
  transition: color 0.1s cubic-bezier(0.16, 0.08, 0.355, 1), background 0.1s cubic-bezier(0.16, 0.08, 0.355, 1);
  display: inline-block;
  cursor: pointer;
  outline: none;
  vertical-align: middle;
  text-align: center;
  position: relative;
  overflow: hidden;
  border-radius: 50px;
  margin-right: 0.6rem;
  width: auto;
  margin-bottom: 10px !important;
}
.site-container .btn:hover,
.site-container button:hover {
  background: #0034a8;
  border-color: #0034a8;
  color: #fff;
}
.site-container .btn-border {
  background-color: transparent;
  color: #002984;
}
.site-container .btn-arrow {
  position: relative;
  transition: background-color 300ms ease-out;
}
.site-container .btn-arrow span {
  display: inline-block;
  position: relative;
  transition: all 300ms ease-out;
  will-change: transform;
}
.site-container .btn-arrow:hover span {
  transform: translate3d(-1rem, 0, 0);
}
.site-container .btn-arrow svg {
  position: absolute;
  width: 0.9em;
  right: 0px;
  right: 0rem;
  opacity: 0;
  top: 50%;
  transform: translateY(-50%);
  transition: all 300ms ease-out;
  will-change: right, opacity;
}
.site-container .btn-arrow svg * {
  stroke-width: 3;
  stroke-color: transparent;
}
.site-container .btn-arrow:hover svg {
  opacity: 1;
  right: -1.5rem;
}
.site-container .my-page {
  padding: 0.7rem;
  border-radius: 0;
  transition: all 0.3s ease;
}
.site-container .my-page:hover {
  background-color: #F3F9FF;
  border-radius: 100px;
}
.site-container strong, .site-container b {
  font-weight: 800 !important;
}
